Bug 1029038 - export isn't executed because of space check performed not only for relevant disks
export isn't executed because of space check performed not only for relevant ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Liron Aravot
Elad
storage
:
Depends On:
Blocks: 3.3snap3
  Show dependency treegraph
 
Reported: 2013-11-11 09:24 EST by Liron Aravot
Modified: 2016-02-10 15:23 EST (History)
6 users (show)

See Also:
Fixed In Version: is24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20756 None None None Never
oVirt gerrit 21112 None None None Never

  None (edit)
Description Liron Aravot 2013-11-11 09:24:28 EST
Description of problem:
When exporting a vm, the domain space checks should be executed for the disks that will be exported only.


Steps to Reproduce:
Export a vm with disks that will be exported and disks that aren't (shareable/lun/snapshot disks) to a domain with insufficent space for all, but with enough space for the disks that will be exported, CDA message should be wrongfuly shown.

Actual results:
can do action error recieved


Expected results:
export should be executed

Additional info:
Comment 1 Elad 2013-11-21 12:10:04 EST
Shareable disk/direct LUN/snapshot disks size are not counted by engine when I try to export a VM that has one of them attached to it. The export is being executed. The sum of all the VMs disks excludes those kind of disks.


Verified with is24
rhevm-3.3.0-0.35.beta1.el6ev.noarch
Comment 2 Itamar Heim 2014-01-21 17:23:56 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:25:00 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:28:33 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.